diff --git a/lustre/tests/conf-sanity.sh b/lustre/tests/conf-sanity.sh
index 133118fca37ecd3aaf24b1e426de2e73846607be..034fb6b01e3d4f88a8526ded6facaacce3518120 100644
--- a/lustre/tests/conf-sanity.sh
+++ b/lustre/tests/conf-sanity.sh
@@ -898,7 +898,7 @@ set_and_check() {
 	    FINAL=$(($ORIG + 5))
 	fi
 	echo "Setting $PARAM from $ORIG to $FINAL"
-	$LCTL conf_param $PARAM=$FINAL
+	do_facet mds "$LCTL conf_param $PARAM=$FINAL" || error conf_param failed
 	local RESULT
 	local MAX=30
 	local WAIT=0